package com.lc.day07.exer.exer1;

/**
 * ClassName: CheckAccount
 * Package: com.lc.day07.exer.exer1
 * Description:
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/7/21 11:18
 * @Version 1.0
 */
public class CheckAccount extends Account{
    private double overdraft;

    public CheckAccount(double balance, double overdraft , int id) {
        //初始化
        super(id,balance);
        this.overdraft = overdraft;
    }

    public CheckAccount() {
    }

    /*
            如果（取款金额<账户余额），
                可直接取款
            如果（取款金额>账户余额），
                计算需要透支的额度
            判断可透支额overdraft是否足够支付本次透支需要，如果可以
                将账户余额修改为0，减去可透支金额
            如果不可以
                提示用户超过可透支额的限额
             */
    @Override
    public void withdraw(double money) {
        //如果（取款金额<账户余额），
        if ( balance > money ){
            //获取
            //double balance = balance;
            //减去
            double v = balance - money;
            //设置
            setBalance(v);
        } else {
           if (money > (balance+overdraft)){
               //提示
               System.out.println("可透支额度不足");
           }else {
               //减去 余额
               double v = money - balance;

               //余额赋值 0
               balance = 0;

               //透支额度 - v //设置
               overdraft = overdraft - v;
           }
        }
    }

    public double getOverdraft() {
        return overdraft;
    }

    public void setOverdraft(double overdraft) {
        this.overdraft = overdraft;
    }
}
