package com.lc.day07.exer.exer1;

/**
 * ClassName: Test
 * Package: com.lc.day07.exer.exer1
 * Description:
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/7/21 11:15
 * @Version 1.0
 */
public class Test {

    public static void main(String[] args) {
        /*
        写一个用户程序测试Account类。在用户程序中，创建一个账号为1122、余额为20000、、
        年利率4.5%的Account对象。使用withdraw方法提款30000元，并打印余额。
        再使用withdraw方法提款2500元，使用deposit方法存款3000元，然后打印余额和月利率。
         */
        Account account = new Account();
        account.setId(1122);
        account.setBalance(20000);
        account.setAnnualInterestRate(0.0045);

        account.withdraw(2500);
        account.deposit(3000);

        System.out.println(account.getBalance());
        System.out.println(account.getAnnualInterestRate());

        /*
        要求：写一个用户程序测试CheckAccount类。在用户程序中，创建一个账号为1122、余额为20000、年利率4.5%，可透支限额为5000元的CheckAccount对象。
        使用withdraw方法提款5000元，并打印账户余额和可透支额。
        再使用withdraw方法提款18000元，并打印账户余额和可透支额。
        再使用withdraw方法提款3000元，并打印账户余额和可透支额。
        提示：
        （1）子类CheckAccount的构造方法需要将从父类继承的3个属性和子类自己的属性全部初始化。
        （2）父类Account的属性balance被设置为private，但在子类CheckAccount的withdraw方法中需要修改它的值，因此应修改父类的balance属性，定义其为protected。
         */
        CheckAccount checkAccount = new CheckAccount(1122,2000,5000);
//        checkAccount.setId(1122);
//        checkAccount.setBalance(20000);
//        checkAccount.setAnnualInterestRate(0.0045);
//        checkAccount.setOverdraft(5000);

        //提款5000元
        checkAccount.withdraw(5000);

        System.out.println("余额："+checkAccount.getBalance()+"透支额度："+checkAccount.getOverdraft());

        //提款5000元
        checkAccount.withdraw(18000);
        System.out.println("余额："+checkAccount.getBalance()+"透支额度："+checkAccount.getOverdraft());

        //提款3000元
        checkAccount.withdraw(3000);
        System.out.println("余额："+checkAccount.getBalance()+"透支额度："+checkAccount.getOverdraft());

    }
}
