package com.lc.day08.abstract6;

/**
 * ClassName: BankTemplateMethod
 * Package: com.lc.day08.abstract6
 * Description:
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/7/22 14:58
 * @Version 1.0
 */
public abstract class BankTemplateMethod {

    //步骤

    //排号
    public int takeNumber(){
        return (int) (Math.random()*1000);
    }

    //办理业务
    public abstract void service();


    //评价
    public static String eav(){
        return (Math.random()*10)+"-星好评" ;
    }

    //模板方法
    public static void templateMethod( BankTemplateMethod templateMethod ){
        //获取号码
        int i = templateMethod.takeNumber();
        System.out.println(i);

        //业务
        templateMethod.service();

        //评价
        System.out.println(eav());
    }

}
