package com.lc.day08.exer.exer5;

/**
 * ClassName: Employee
 * Package: com.lc.day08.exer.exer5
 * Description:
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/7/22 15:32
 * @Version 1.0
 */
public abstract class Employee {

    private String name;
    private int number;

    //生日
    private MyDate birthday;

    //薪资
    public abstract double earnings();

    public Employee() {
    }

    public Employee(String name, int number, MyDate birthday) {
        this.name = name;
        this.number = number;
        this.birthday = birthday;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public MyDate getBirthday() {
        return birthday;
    }

    public void setBirthday(MyDate birthday) {
        this.birthday = birthday;
    }


    @Override
    public String toString() {
        return "Employee{" +
                "name='" + name + '\'' +
                ", number=" + number +
                ", birthday=" + birthday +
                '}';
    }
}
