package com.lc.day03;

/**
 * ClassName: Demo01_For
 * Package: com.lc.day03
 * Description:
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/7/15 9:36
 * @Version 1.0
 */
public class Demo09_素数 {

    public static void main(String[] args) {
        /*
        目的：不同的代码的实现方式，可以效率差别很大。

        分析：素数（质数）：只能被1和它本身整除的自然数。  ---> 从2开始，到这个数-1为止，此范围内没有这个数的约数。则此数是一个质数。
        比如：2、3、5、7、11、13、17、19、23、...
         */

        //标识
//        long l = System.currentTimeMillis();
//        int flag = 1;
//        //循环 i 是否是素数
//        for (int i = 1 ; i < 100000 ; i++) {
//            //判断 的值
//            for (int j = 2; j < i; j++) {
//                if ( i % j == 0 ){
//                    flag = 0;
//                }
//            }
//            if (flag == 1){
//                //System.out.println("素数："+i);
//            }
//            flag = 1;
//        }
//        long l1 = System.currentTimeMillis();
//        System.out.println(l1-l);



//        //循环 i 是否是素数
//        for (int i = 1 ; i < 1000 ; i++) {
//            //标识
//            int flag = 1;
//            //判断 的值
//            for (int j = 2; j < i; j++) {
//                if ( i % j == 0 ){
//                    flag = 0;
//                }
//            }
//            if (flag == 1){
//                System.out.println("素数："+i);
//            }
//        }


        //循环 i 是否是素数
//        System.out.println("开始");

        long start = System.currentTimeMillis();
        for (int i = 1 ; i < 100000 ; i++) {
            //标识
            int flag = 1;
            //判断 的值
            //for (int j = 2; j < i; j++) {
            //优化1
            for (int j = 2; j < Math.sqrt(i); j++) {
                if ( i % j == 0 ){
                    flag = 0;
                    break; //优化2
                }
            }
            if (flag == 1){
                //System.out.println("素数："+i);
            }
        }
        long end = System.currentTimeMillis();
        System.out.println(end-start);
    }

}
