package com.lc.day05.recursion;

/**
 * ClassName: RecursionMethod
 * Package: com.lc.day05.recursion
 * Description:
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/7/18 17:00
 * @Version 1.0
 */
public class RecursionMethod1 {

    //已知一个数列：f(20) = 1,f(21) = 4,f(n+2) = 2*f(n+1)+f(n)，其中n是大于0的整数，求f(10)的值。
    //
    //f(n+2) = 2* f(n+1)+f(n);
    //  f(10)  已知  f（20） f（21）

    public static int f( int n ) { //5
        if (n == 20 ){
            return 1;
        }
        if (n == 21 ){
            return 4;
        }

        return f(n+2) - 2 * f(n+1);
    }


    //计算1 ~ n的和
    //已知条件
    // num = 1  return 1
    public static int getSum( int num ){ //5
        //1 + 2 + 3 + 4 + 5;
        //5 + 4 + 3 + 2 + 1
        if ( num == 1){
            return 1;
        }
        return num + getSum(num-1);
    }

    public static void main(String[] args) {
        //static
        int sum = getSum(5);
        System.out.println(sum);


        //f（10）
        int f = f(10);
        System.out.println(f);
    }

}
