package com.lc.day06.recursion;

import java.util.Scanner;

/**
 * ClassName: Demo01
 * Package: com.lc.day06.recursion
 * Description:
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/7/19 9:22
 * @Version 1.0
 */
public class Demo01 {
    //计算斐波那契数列（Fibonacci）的第n个值，斐波那契数列满足如下规律，
    //1,1,2,3,5,8,13,21,34,55,....
    //已知  f(1) = 1  f(2)=1  当前项 = 前1项 和前2项的和
    // f(n) = f(n-)+f(n-2)

    //static
    public static int f(int n){
        if ( n == 1 ||  n == 2){
            return 1;
        }
        return f(n - 1 )+ f(n-2);
    }

    //不用递归
    static int fValue(int n) {//计算斐波那契数列第n个值是多少
        if (n < 1) {//负数是返回特殊值1，表示不计算负数情况
            return 1;
        }
        if (n == 1 || n == 2) {
            return 1;
        }
        //从第三个数开始，  等于 前两个整数相加
        int beforeBefore = 1; //相当于n=1时的值
        int before = 1;//相当于n=2时的值
        int current = beforeBefore + before; //相当于n=3的值
        //再完后
        for (int i = 4; i <= n; i++) {
            beforeBefore = before;
            before = current;
            current = beforeBefore + before;
            /*
            假设i=4
                beforeBefore = before; //相当于n=2时的值
                before = current; //相当于n=3的值
                current = beforeBefore + before; //相当于n = 4的值
            假设i=5
                beforeBefore = before; //相当于n=3的值
                before = current; //相当于n = 4的值
                current = beforeBefore + before; //相当于n = 5的值
                ....
             */
        }
        return current;
    }

    /*
    我今天去面试，遇到一个一个双重递归调用的问题，
    我琢磨了一下，完全不知道为什么。打断点了，也还是没看懂为什么程序会那样走。您有空可以看一下，求指教。
     */
    private static int count = 0;

    public static int recursion(int k) {
        count++;
        System.out.println("count1:" + count + "  k:" + k);
        if (k <= 0) {
            return 0;
        }
        return recursion(k - 1) + recursion(k - 2);//287
        //return recursion(k - 1);//11
        //return recursion(k - 1) + recursion(k - 1);//2047
    }

    public static void main(String[] args) {
        //int f = f(50);
        //int f = fValue(50);

        int recursion = recursion(4);

        System.out.println(recursion);
    }


}
