package com.lc.day07.exer.exer1;

/**
 * ClassName: Account
 * Package: com.lc.day06.exer3
 * Description:
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/7/19 11:25
 * @Version 1.0
 */
public class Account {

    private int id;
    protected double balance;
    private double annualInterestRate;

    public Account() {
    }

    public Account(int id, double balance) {
        this.id = id;
        this.balance = balance;
    }

    public Account(double balance ){
        this.balance = balance;
    }

    // 取款方法withdraw()，
    public void withdraw( double money ){
        if (money > balance){
            System.out.println("余额不足");
        }else{
            balance = balance - money;
        }
    }

    // 存款方法deposit()。
    public void deposit( double money ){
        balance = balance + money;
    }





    public double getBalance() {
        return balance;
    }

    public void setBalance(double balance) {
        this.balance = balance;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public double getAnnualInterestRate() {
        return annualInterestRate;
    }

    public void setAnnualInterestRate(double annualInterestRate) {
        this.annualInterestRate = annualInterestRate;
    }
}
