package com.lc.day09.enum2;

/**
 * ClassName: Season
 * Package: com.lc.day09.enum2
 * Description:
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/7/24 11:59
 * @Version 1.0  了解
 */
public enum Seasona implements ISHOW {

    SPRING("春天","万物复苏"){
        @Override
        public void show() {
            System.out.println("春天");
        }
    },
    SUMMER("夏天","非常热"),
    AUTOMN("秋天","丰收的季节"),
    WINTER("冬天","白雪皑皑");

    private final String NAME;
    private final String DESC;

    //属性
    Seasona(String name , String desc ){
        this.NAME = name;
        this.DESC = desc;
    }

    public String getNAME() {
        return NAME;
    }

    public String getDESC() {
        return DESC;
    }

    @Override
    public void show() {
        System.out.println("季节");
    }

    public static void main(String[] args) {
        //调用
        Seasona.SPRING.show();
    }
}

interface ISHOW{

    void show();
}