package com.lc.day09.inner1;

/**
 * ClassName: NoNameClassObj
 * Package: com.lc.day09.exer.inner1
 * Description:
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/7/24 11:22
 * @Version 1.0
 */
public class NoNameClassObj {

    public static void main(String[] args) {

        //调用一次
        new AAA(){
            @Override
            void aaa() {
                System.out.println("重写 aaa");
            }
        }.aaa();

        //参数
        //b b = new b();
        //BBB 过多 没次都是当参数使用 调用一次
        // 没有必要声明一个单独类
        test(new BBB() {
            @Override
            void bbb() {
                System.out.println("bbb");
            }
        });

        //可以赋值 父类 父接口  默认有多态形式
        CCC ccc = new CCC(){
            @Override
            public void ccc() {
                System.out.println("ccc");
            }
        };

        ccc.ccc();

    }

    //参数
    public static void test(BBB bbb){
        bbb.bbb();
    }

}

class  AAA{
    void aaa(){
        System.out.println("aaa");
    }
}

abstract class BBB{
    abstract void bbb();
}
class BB extends BBB {

    @Override
    void bbb() {

    }
}
interface CCC {
    void ccc();
}